org.apache.ignite.internal.processors.cache

## Interface CacheLockCandidates

All Known Implementing Classes:
  GridCacheMvccCandidate

    public interface CacheLockCandidates

### Method Summary

Methods
`GridCacheMvccCandidate` `candidate(int idx)`
`boolean` `hasCandidate(GridCacheVersion ver)`
`int` `size()`

### Method Detail

#### candidate

    GridCacheMvccCandidate candidate(int idx)

Parameters:
  `idx` - Candidate index.
Returns:
  Candidate.

#### size

    int size()

Returns:
  Number of candidates.

#### hasCandidate

    boolean hasCandidate(GridCacheVersion ver)

Parameters:
  `ver` - Candidate version.
Returns:
  `True` if contains candidate with given version.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017